Subject: Re: [alpine-devel] RFC: how to deal with /etc/alpine-release

From: qnx4ever <[email-masked]>
Date: Thu, 2 Sep 2010 10:58:23 -0300

Vote for options 1 and 2.
Option 3 doesn't work for disk-setup upgrade, as I think alpine-release file
never got copied/updated then ;)

On 02/09/2010 5:33 PM, "Natanael Copa" <[email-masked]> wrote:

Hi,

http://redmine.alpinelinux.org/issues/418

Currently, the alpine-release is a symlink to a raw file on the cdrom.
once you have installed to disk the /etc/alpine-release link is broken.

I wonder how we deal with this?

some alternatives:

1: have a separate alpine-release package that only holds
the /etc/alpine-release file and nothing more.

2: add /etc/alpine-release to alpine-base package.

3: add /etc/alpine-release to alpine-baselayout package.

4: copy the .alpine-release file from cdrom/usb to / when doing
setup-disk.

options 1-3 means we need to modify the initramfs script to not copy
that file. (which i think is good). I think i prever either option #1 or
#2.

Other options or ideas?

Thanks!
-nc

---
Unsubscribe:  [email-masked]<[email-masked]>
Help:         [email-masked]<[email-masked]>
---